## compiz 0.9.14.0+19.04.20190217.1-0ubuntu1

=== debian/changelog ===
compiz (1:0.9.14.0+19.04.20190217.1-0ubuntu1) disco; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * Code moved (again) to git as default vcs
  * debian/control:
    - Update Vcs-Git and Homepage tags
  * debian/gbp.conf:
    - Update branches and tags templates
  * debian/source/format:
    - Update version to 3.0 (native)

  [ Dmitry Shachnev ]
  * Bump upstream version number to 0.9.14.0.
  * Fix GCC -Wstringop-truncation error.
  * Fix window grabbing by title or ID, based on a patch by Alexei Sorokin.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 17 Feb 2019 19:14:22 +0000

compiz (1:0.9.13.1+19.04.20190208-0ubuntu1) disco; urgency=medium

  [ Alberts Muktupāvels ]
  * Add support for loading configuration from multiple files.
  * Remove unity configuration, will be added back in unity.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 08 Feb 2019 11:47:39 +0000

compiz (1:0.9.13.1+19.04.20190207.2-0ubuntu1) disco; urgency=medium

  [ Alberts Muktupāvels ]
  * Remove no longer needed button-layout workaround.
  * Fix many PyGTKDeprecationWarning warnings.
  * Fix protobuf warning by explicitly specifying proto2 syntax.
  * Set Cython language_level directive.
  * compizconfig: remove unused MATE integration

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 07 Feb 2019 14:33:04 +0000

compiz (1:0.9.13.1+19.04.20190205.1-0ubuntu1) disco; urgency=medium

  [ Alberts Muktupāvels ]
  * Clean up CMake files, and bump required version to 3.10.
  * Fix fallout from deprecation fixes.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 05 Feb 2019 21:00:07 +0000

compiz (1:0.9.13.1+19.04.20190205-0ubuntu1) disco; urgency=medium

  [ Alberts Muktupāvels ]
  * Remove KDE support.
  * Fix GNOME building.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 05 Feb 2019 13:11:50 +0000

compiz (1:0.9.13.1+19.04.20190204.1-0ubuntu1) disco; urgency=medium

  [ Alberts Muktupāvels ]
  * Fix visual-bell-type GSettings values.
  * Fix some deprecation warnings.
  * Fix regression in CCSM from Python 3 port. (LP: #1814462)

  [ Khurshid Alam ]
  * Transition from gnome-settings-daemon-schemas to gnome-settings-
    daemon-common. (LP: #1811118)

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 04 Feb 2019 21:17:20 +0000

compiz (1:0.9.13.1+19.04.20190103-0ubuntu1) disco; urgency=medium

  [ Alberts Muktupāvels ]
  * Port CCSM to Python 3. (LP: #1004592, #1310794)

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 03 Jan 2019 18:56:40 +0000

compiz (1:0.9.13.1+18.10.20180930-0ubuntu2) disco; urgency=medium

  * No-change rebuild against latest protobuf

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 10 Nov 2018 15:02:37 -0500

compiz (1:0.9.13.1+18.10.20180930-0ubuntu1) cosmic; urgency=medium

  [ Alberts Muktupāvels ]
  * Fix missing icons in CCSM. (LP: #1794765)

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 30 Sep 2018 16:55:04 +0000

compiz (1:0.9.13.1+18.10.20180905-0ubuntu1) cosmic; urgency=medium

  [ Alberts Muktupāvels ]
  * Run tests.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 05 Sep 2018 06:43:58 +0000

compiz (1:0.9.13.1+18.10.20180827-0ubuntu1) cosmic; urgency=medium

  [ Alberts Muktupāvels ]
  * No-change rebuild against CMake 3.12

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 27 Aug 2018 13:24:35 +0000

compiz (1:0.9.13.1+18.10.20180727-0ubuntu1) cosmic; urgency=medium

  [ Alberts Muktupāvels ]
  * Don't set CMP0000 policy to OLD.
  * Don't set CMP0003 policy.
  * Don't set CMP0005 policy to OLD.
  * Don't set CMP0011 policy to OLD.
  * Don't set CMP0022 policy to OLD.
  * Don't set CMP0002 policy to OLD.
  * Drop xig support. (LP: #1100128)
  * Remove useless warnings.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 27 Jul 2018 08:19:53 +0000

compiz (1:0.9.13.1+18.10.20180723-0ubuntu1) cosmic; urgency=medium

  [ Alberts Muktupāvels ]
  * Fix build errors with GCC 8.1.
  * Make tests build again with Google Test 1.8.0 and GCC 8.1.
  * Build tests.

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Mon, 23 Jul 2018 17:15:27 +0000

compiz (1:0.9.13.1+18.10.20180717-0ubuntu1) cosmic; urgency=medium

  [ Alberts Muktupāvels ]
  * decor: don't use hard-coded path as default command.
  * ccsm: remove python 2.4 support.
  * ccsm: force icon size.
  * compizconfig: remove tabs.
  * ccsm: don't use star imports.
  * ccsm: fix few typos.
  * ccsm: add borders in few places.
  * ccsm: fix KeyError warnings.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 17 Jul 2018 11:20:11 +0000

compiz (1:0.9.13.1+18.10.20180716-0ubuntu1) cosmic; urgency=medium

  [ Alberts Muktupāvels ]
  * ccsm: port to PyGObject and GTK+ 3.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 16 Jul 2018 11:21:08 +0000

compiz (1:0.9.13.1+18.10.20180711.1-0ubuntu1) cosmic; urgency=medium

  [ Alberts Muktupāvels ]
  * ccsm: fix two typos.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 11 Jul 2018 18:43:20 +0000

compiz (1:0.9.13.1+18.10.20180711-0ubuntu1) cosmic; urgency=medium

  [ Alberts Muktupāvels ]
  * ccsm: prepare for PyGObject

  [ Samuel Thibault ]
  * Do not enable "Target Focused Window on Specific Zoom" by default
    (LP: #1763692)

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 11 Jul 2018 15:31:07 +0000

compiz (1:0.9.13.1+18.10.20180707-0ubuntu1) cosmic; urgency=medium

  [ Samuel Thibault ]
  * Update lintian override for compiz-core: bumped ABI.
  * rules: Include architecture.mk instead of defining DEB_* variables.
  * Add "Change" to "Zoom Speed" and "Zoom Timestep"
  * showmouse: enable by default Guides instead of Emitters (LP:
    #1763032)
  * Add missing plugin description files to potfiles (LP: #1722732)

  [ Cyril Brulebois ]
  * Fix missing attributions in debian/copyright (Closes: #848545):
     - List copyright holders for all po/* files.
     - List copyright holders for some cmake files.
     - List copyright holders for some gtk window decorator files.
     - List copyright holder for some animationplus files.
     - List copyright holders for borrowed files in libdecoration.


=== debian/control ===
Source: compiz
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: David Nusinow <dnusinow@debian.org>, Sean Finney <seanius@debian.org>, Cyril Brulebois <kibi@debian.org>
Build-Depends: cmake (>= 3.10.0),
               debhelper (>= 9~),
               dh-python,
               dh-translations,
               googletest (>= 1.8.0),
               intltool,
               libtool,
               pkg-config (>= 0.29.1),
               quilt (>= 0.40),
               libcairo2-dev,
               libdbus-glib-1-dev,
               libgl1-mesa-dev (>= 6.5.1) [!armhf !armel] | libgl-dev [!armhf !armel],
               libegl1-mesa-dev [armhf armel], libgles2-mesa-dev [armhf armel],
               libboost-dev,
               libboost-serialization-dev,
               libglib2.0-dev,
               libglibmm-2.4-dev,
               libgtk-3-dev,
               libice-dev (>= 1:1.0.1), 
               libmetacity-dev (>= 1:3.22.0),
               libpango1.0-dev,
               libpng-dev,
               librsvg2-dev, 
               libsm-dev (>= 1:1.0.1),
               libwnck-3-dev,
               libx11-dev,
               libxcomposite-dev (>= 1:0.3-2),
               libxext-dev,
               libxdamage-dev (>=1:1.0.3),
               libxfixes-dev (>= 1:4.0.1),
               libxi-dev,
               libxinerama-dev, 
               libxml-parser-perl,
               libxorg-gtest-dev,
               libxrandr-dev (>= 2:1.1.0.2),
               libxrender-dev (>= 1:0.9.1), 
               libxcursor-dev,
               libxml2-dev,
               libxslt1-dev,
               xsltproc,
               libstartup-notification0-dev (>= 0.7),
               x11proto-gl-dev (>= 1.4.8),
               libglu1-mesa-dev [!armhf !armel],
               libjpeg-dev,
               libnotify-dev (>= 0.7.0),
               libx11-xcb-dev,
               libprotobuf-dev,
               protobuf-compiler,
               python3-all-dev,
               cython3,
               gsettings-desktop-schemas-dev,
               xserver-xorg-dev (>= 0.7.0),
Standards-Version: 3.9.8
Vcs-Git: https://git.launchpad.net/~compiz-team/compiz
Vcs-Browser: https://git.launchpad.net/~compiz-team/compiz?h=master
Homepage: https://launchpad.net/compiz

Package: compiz
Architecture: all
Provides: x-window-manager
Depends: compiz-core (>= ${source:Version}),
         compiz-plugins-default (>= ${source:Version}),
         compiz-gnome,
         ${misc:Depends},
Description: OpenGL window and compositing manager
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This metapackage provides the components necessary for running compiz. It
 provides the compiz core, a set of standard plugins, a window decorator using
 the Gtk toolkit and the files necessary to integrate compiz with the GNOME
 desktop environment.

Package: compiz-core
Architecture: any
Multi-Arch: no
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
Recommends: compiz-plugins-default,
Provides: compiz-core-abiversion-${coreabiversion}
Replaces: compizconfig-settings-manager (<< 0.9.8)
Description: OpenGL window and compositing manager
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 Compiz combines together a window manager and a composite manager using
 OpenGL for rendering. A "window manager" allows the manipulation of the
 multiple applications and dialog windows that are presented on the screen. A
 "composite manager" allows windows and other graphics to be combined together
 to create composite images. Compiz achieves its stunning effects by doing
 both of these functions.

Package: compiz-dev
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: compiz-core (= ${binary:Version}),
         libdecoration0-dev (= ${binary:Version}),
         ${misc:Depends},
         compiz-plugins-default (= ${binary:Version}),
         libgl1-mesa-dev [!armhf !armel] | libgl-dev [!armhf !armel],
         libegl1-mesa-dev [armhf armel],
         libgles2-mesa-dev [armhf armel],
         libpng-dev,
         libxcomposite-dev (>= 1:0.3-2),
         libxfixes-dev (>=1:4.0.1),
         libxdamage-dev (>= 1:1.0.3),
         libxinerama-dev,
         libxrandr-dev (>=2:1.1.0.2),
         libxcursor-dev,
         libice-dev (>= 1:1.0.1),
         libsm-dev (>= 1:1.0.1),
         libstartup-notification0-dev (>= 0.7),
         libxslt1-dev,
         libxml2-dev,
         libx11-xcb-dev,
         libglib2.0-dev,
         libglibmm-2.4-dev,
         libgtk-3-dev,
Replaces: compiz-plugins-main-dev (<< 1:0.9.8),
          compiz-plugins-extra (<< 1:0.9.8),
          compiz-dev (<< 1:0.9.8),
Breaks: compiz-plugins-main-dev (<< 1:0.9.8),
        compiz-plugins-extra (<< 1:0.9.8),
Suggests: compiz-plugins
Description: OpenGL window and compositing manager - development files
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains the headers and libraries needed to compile compiz
 plugins.

Package: compiz-gnome
Architecture: any
Multi-Arch: no
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         compiz-plugins-default (= ${binary:Version}),
         gsettings-desktop-schemas,
         gnome-settings-daemon-common (>= 3.4.2-0ubuntu9),
         python3-gi
Recommends: gnome-system-monitor | mate-system-monitor,
Replaces: compiz-plugins-main (<= 1:0.9.8),
          compiz-plugins-main-default (<= 1:0.9.8),
          libcompizconfig0 (<= 1:0.9.8),
Breaks: compiz-plugins-main (<= 1:0.9.8),
        compiz-plugins-main-default (<= 1:0.9.8),
        unity (<< 7.5.0+19.04.20190208-0ubuntu1~),
Description: OpenGL window and compositing manager - GNOME window decorator
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains files needed to integrate compiz with the GNOME desktop
 environment.

Package: compiz-mate
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         compiz-gnome,
         mate-settings-daemon,
         python3
Recommends: ubuntu-mate-wallpapers-common,
Description: OpenGL window and compositing manager - MATE integration
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains files needed to integrate compiz with the MATE desktop
 environment.

Package: compiz-plugins-default
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: compiz-core (= ${binary:Version}),
         libdecoration0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
Replaces: compiz-plugins-main-default (<< 1:0.9.8),
          compiz-plugins (<< 1:0.9.12.1+15.10.20150724),
          compiz-core (<< 1:0.9.4+bzr20110606-0ubuntu3),
Breaks: compiz-plugins-main-default (<< 1:0.9.8),
        compiz-plugins (<< 1:0.9.12.1+15.10.20150724),
        compiz-core (<< 1:0.9.4+bzr20110606-0ubuntu3),
Description: OpenGL window and compositing manager - default plugins
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains the default set of core Compiz plugins.

Package: compiz-plugins
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: compiz-core (= ${binary:Version}),
         compiz-plugins-default (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
Replaces: compiz-plugins-main (<< 1:0.9.8),
          compiz-plugins-extra (<< 1:0.9.8),
          compiz-plugins-main-default (<< 1:0.9.8),
          compiz-core (<< 1:0.9.11+14.10.20140606),
Breaks: compiz-plugins-main (<< 1:0.9.8),
        compiz-plugins-extra (<< 1:0.9.8),
        compiz-core (<< 1:0.9.11+14.10.20140606),
Description: OpenGL window and compositing manager - plugins
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains the plugins that come with compiz but not officially
 supported.

Package: libdecoration0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: Compiz window decoration library
 The window decoration library is responsible for drawing the window borders
 and title bar of windows managed by Compiz. It is used by window decorators
 like gtk-window-decorator.

Package: libdecoration0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libdecoration0 (= ${binary:Version}),
         ${misc:Depends},
         libx11-dev,
         libxrender-dev (>= 1:0.9.1),
Description: Compiz window decoration library - development files
 The window decoration library is responsible for drawing the window borders
 and title bar of windows managed by Compiz. It is used by window decorators
 like gtk-window-decorator.
 .
 This package contains files required for developing window decorators
 compatible with Compiz.

Package: libcompizconfig0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         compiz-core (= ${binary:Version}),
Description: Settings library for plugins - OpenCompositing Project
 The OpenCompositing Project brings 3D desktop visual effects that improve
 usability of the X Window System and provide increased productivity
 through plugins and themes contributed by the community giving a
 rich desktop experience.
 .
 This package contains the library for plugins to configure settings.

Package: libcompizconfig0-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         libcompizconfig0 (= ${binary:Version}),
         compiz-dev,
Description: Development file for plugin settings - OpenCompositing Project
 The OpenCompositing Project brings 3D desktop visual effects that improve
 usability of the X Window System and provide increased productivity
 through plugins and themes contributed by the community giving a
 rich desktop experience.
 .
 This package contains the headers and development files needed to
 build plugins with settings support.

Package: python3-compizconfig
Architecture: any
Multi-Arch: same
Section: python
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Provides: ${python3:Provides}
Description: Compizconfig bindings for Python
 Compiz Fusion is the result of the re-unification of the Beryl-project
 and the community around the Compiz Window Manager. It seeks to provide
 an easy and fun-to-use windowing environment, allowing use of the
 graphics hardware to provide impressive effects, amazing speed and
 unrivalled usefulness
 .
 This package provides Python bindings for the compizconfig system.

Package: compizconfig-settings-manager
Architecture: all
Multi-Arch: allowed
XB-Python3-Version: ${python3:Versions}
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         gir1.2-gdkpixbuf-2.0,
         gir1.2-gtk-3.0,

## compiz 0.9.14.0+19.04.20190219-0ubuntu1

=== compizconfig/libcompizconfig/CMakeLists.txt ===
project (libcompizconfig)

set (COMPIZ_CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${COMPIZ_CMAKE_MODULE_PATH})
include (CompizDefaults)
include (CompizCommon)
include (CompizPackage)
include (CheckLibraryExists)
include (CheckIncludeFile)

set (CMAKE_MODULE_PATH_ORIG ${CMAKE_MODULE_PATH})
set (LIBCOMPIZCONFIG_CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${LIBCOMPIZCONFIG_CMAKE_MODULE_PATH})

set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

set (ALL_LINGUAS af ar bg bn bn_IN bs ca cs cy da de el en_GB en_US es eu et fi fr gl gu he hi hr hu id it ja ka km ko lo lt mk mr nb nl or pa pl pt pt_BR ro ru sk sl sr sv ta tr uk vi xh zh_CN zh_TW zu)
set (GETTEXT_PACKAGE libcompizconfig)

file (READ ${CMAKE_SOURCE_DIR}/VERSION COMPIZ_RELEASE_VERSION LIMIT 12 OFFSET 0)
string (STRIP ${COMPIZ_RELEASE_VERSION} COMPIZ_RELEASE_VERSION)
set (VERSION ${COMPIZ_RELEASE_VERSION})

configure_file (
    "${CMAKE_CURRENT_SOURCE_DIR}/config.h.in"
    "${CMAKE_CURRENT_BINARY_DIR}/config.h"
    )

include_directories (
    "include"
    )

option (USE_PROTOBUF
	"Use Google Protocol Buffers library for faster XML loading"
	ON
	)

set (PROTOC_ERROR_MESSAGE
     "\nWARNING: You need to install Protocol Buffers to get faster program startup.\n"
     "Sources are available at http://code.google.com/p/protobuf/downloads/list\n"
     "Package names for Ubuntu/Debian: libprotobuf0, libprotobuf-dev, protobuf-compiler\n"
     "Package names for other distributions: protobuf, protobuf-devel\n"
     "Disabling protobuf.\n"
     )

set (LIBCOMPIZCONFIG_PROTOBUF
     protobuf)

if (USE_PROTOBUF)
    find_program (HAVE_PROTOC protoc)
    if (HAVE_PROTOC)
	if (USE_PROTOBUF)
	    pkg_check_modules (PROTOBUF protobuf)
	    if (PROTOBUF_FOUND)
	    else ()
		message (${PROTOC_ERROR_MESSAGE})
		set (USE_PROTOBUF
		     false
		     )
	    endif (PROTOBUF_FOUND)
	endif (USE_PROTOBUF)
    else ()
	message (${PROTOC_ERROR_MESSAGE})
	set (USE_PROTOBUF
	     false
	     )
    endif (HAVE_PROTOC)
endif (USE_PROTOBUF)

if (USE_PROTOBUF)
    set (HAVE_PROTOBUF TRUE)
endif (USE_PROTOBUF)

check_include_file ("sys/inotify.h"
		    HAVE_INOTIFY)

set (INOTIFY_WARNING_MESSAGE
     "NOTE\n
      ======\n
      Inotify header files not found. While this library might work \n
      without them, user experience is degraded as settings won't be\n
      applied instantly. We strongly suggest installing the inotify\n
      header files.\n")

if (HAVE_INOTIFY)
else ()
    message (${INOTIFY_WARNING_MESSAGE})
endif (HAVE_INOTIFY)

set (COMPIZCONFIG_LIBDIR ${libdir})

set (LIBCOMPIZCONFIG_REQUIRES
    x11
    libxml-2.0
    libxslt
    )

if (HAVE_PROTOBUF)
    set (LIBCOMPIZCONFIG_REQUIRES
	 ${LIBCOMPIZCONFIG_REQUIRES}
	 protobuf)
endif ()

compiz_pkg_check_modules (LIBCOMPIZCONFIG REQUIRED ${LIBCOMPIZCONFIG_REQUIRES})

list (APPEND LIBCOMPIZCONFIG_LIBRARIES ${COMPIZ_LIBRARIES})
list (APPEND LIBCOMPIZCONFIG_LIBRARY_DIRS ${COMPIZ_LIBRARY_DIRS})
list (APPEND LIBCOMPIZCONFIG_INCLUDE_DIRS ${COMPIZ_INCLUDE_DIRS})

compiz_configure_file (
    ${CMAKE_CURRENT_SOURCE_DIR}/libcompizconfig.pc.in
    ${CMAKE_CURRENT_BINARY_DIR}/libcompizconfig.pc
)

compiz_configure_file (
    ${CMAKE_CURRENT_SOURCE_DIR}/libcompizconfig_internal.pc.in
    ${CMAKE_CURRENT_BINARY_DIR}/libcompizconfig_internal.pc
)

install (
    FILES ${CMAKE_CURRENT_BINARY_DIR}/libcompizconfig.pc
    DESTINATION ${libdir}/pkgconfig
)


add_subdirectory (config)
add_subdirectory (backend)
add_subdirectory (src)
add_subdirectory (include)
add_subdirectory (cmake)

if (COMPIZ_BUILD_TESTING)
    add_subdirectory (tests)
endif (COMPIZ_BUILD_TESTING)

=== debian/changelog ===
compiz (1:0.9.14.0+19.04.20190219-0ubuntu1) disco; urgency=medium

  * ccsm: Fix UnicodeDecodeError caused by non-ASCII plugin
    descriptions. (LP: #1816629)
  * ccsm: Fix TypeError when calling Gtk.Menu.popup() with invalid
    number of arguments.
  * ccsm: Fix display of Copyright sign.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 19 Feb 2019 17:08:43 +0000

## compiz 0.9.14.0+19.04.20190223.1-0ubuntu1

=== debian/changelog ===
compiz (1:0.9.14.0+19.04.20190223.1-0ubuntu1) disco; urgency=medium

  * Import the latest translations from Launchpad.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 23 Feb 2019 08:52:17 +0000

=== debian/control ===
--- 
+++ 
@@ -313,4 +313,3 @@
          ${misc:Depends},
          ${python3:Depends},
          gir1.2-gdkpixbuf-2.0,
-         gir1.2-gtk-3.0,

## compiz 0.9.14.0+19.10.20190918-0ubuntu1

=== debian/changelog ===
compiz (1:0.9.14.0+19.10.20190918-0ubuntu1) eoan; urgency=medium

  * Fix build failure with GCC 9 because of format-truncation warning.
    (LP: #1843974)

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 18 Sep 2019 13:05:28 +0000

## compiz 0.9.14.0+19.10.20190918-0ubuntu2

=== debian/changelog ===
compiz (1:0.9.14.0+19.10.20190918-0ubuntu2) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 18:38:37 +0000

## compiz 0.9.14.0+20.04.20191118-0ubuntu1

=== debian/changelog ===
compiz (1:0.9.14.0+20.04.20191118-0ubuntu1) focal; urgency=medium

  [ Alberts Muktupāvels ]
  * gtk-window-decorator: fix crash with Cairo theme (LP: #1847129)
  * Remove MATE configuration.

  [ Dmitry Shachnev ]
  * Use GLib.markup_escape_text instead of cgi.escape which was removed
    in Python 3.8.
  * Fix build with latest googletest, by using static libraries shipped
    by distro.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 18 Nov 2019 07:01:26 +0000

## compiz 0.9.14.1%2B20.04.20200211-0ubuntu1

=== plugins/resize/src/logic/CMakeLists.txt ===
INCLUDE_DIRECTORIES (
  ${CMAKE_CURRENT_SOURCE_DIR}/include
  ${CMAKE_CURRENT_SOURCE_DIR}/src
  ${CMAKE_BINARY_DIR}/generated
  ${COMPIZ_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
  ${GLIBMM_INCLUDE_DIRS}
)

LINK_DIRECTORIES (${GLIBMM_LIBRARY_DIRS} ${COMPIZ_LIBRARY_DIRS})

SET (
  PRIVATE_HEADERS
  ${CMAKE_CURRENT_SOURCE_DIR}/include/composite-screen-interface.h
  ${CMAKE_CURRENT_SOURCE_DIR}/include/gl-screen-interface.h
  ${CMAKE_CURRENT_SOURCE_DIR}/include/resize-logic.h
  ${CMAKE_CURRENT_SOURCE_DIR}/include/resize-window-interface.h
  ${CMAKE_CURRENT_SOURCE_DIR}/include/screen-interface.h
  ${CMAKE_CURRENT_SOURCE_DIR}/include/window-interface.h
)

SET(
  SRCS
  ${CMAKE_CURRENT_SOURCE_DIR}/src/resize-logic.cpp
)

ADD_LIBRARY(
  resize_logic STATIC
  ${SRCS}
  ${PRIVATE_HEADERS}
)

if (COMPIZ_BUILD_TESTING)
  ADD_SUBDIRECTORY( ${CMAKE_CURRENT_SOURCE_DIR}/tests )
endif (COMPIZ_BUILD_TESTING)

TARGET_LINK_LIBRARIES(
  resize_logic
  compiz_rect
  compiz_region
)

ADD_DEPENDENCIES (resize_logic resize-options)

## compiz 0.9.14.1%2B20.04.20200211-0ubuntu1%2B10.0trisquel1

=== debian/changelog ===
compiz (1:0.9.14.1+20.04.20200211-0ubuntu1+10.0trisquel1) nabia; urgency=medium

  * Remove recomendation to use fglrx (non-free software)

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 11 Aug 2021 17:32:14 +0000

compiz (1:0.9.14.1+20.04.20200211-0ubuntu1) focal; urgency=medium

  * No-change rebuild to pick up cmake 3.16 path.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 11 Feb 2020 12:54:26 +0000

compiz (1:0.9.14.1+20.04.20200130-0ubuntu1) focal; urgency=medium

  [ Alberts Muktupāvels ]
  * Add support for _GNOME_WM_STRUT_AREA.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 30 Jan 2020 12:06:21 +0000

compiz (1:0.9.14.1+20.04.20200129-0ubuntu1) focal; urgency=medium

  [ Alberts Muktupāvels ]
  * Add support for _GTK_WORKAREAS_Dn.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 29 Jan 2020 11:42:37 +0000

compiz (1:0.9.14.1+20.04.20200117-0ubuntu2) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:25:42 +0000

compiz (1:0.9.14.1+20.04.20200117-0ubuntu1) focal; urgency=medium

  [ Alberts Muktupāvels ]
  * don't change pkg-config search path (LP: #1859778)

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 17 Jan 2020 18:25:29 +0000

compiz (1:0.9.14.1+20.04.20191127-0ubuntu1) focal; urgency=medium

  * Bump upstream version number to 0.9.14.1.
  * Import Spanish, German and Turkish translations from Launchpad.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 27 Nov 2019 13:24:31 +0000

## compiz 0.9.14.1%2B20.04.20220820-0ubuntu1%2B10.0trisquel1

=== debian/changelog ===
compiz (1:0.9.14.1+20.04.20220820-0ubuntu1+10.0trisquel1) nabia; urgency=medium

  * Remove recomendation to use fglrx (non-free software)

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 21 Nov 2022 12:39:15 +0000

compiz (1:0.9.14.1+20.04.20220820-0ubuntu1) focal; urgency=medium

  * event: use correct window when deciding if it should appear focused.
    Patch by Alberts Muktupāvels (LP: #1986681)

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 20 Aug 2022 14:02:27 +0000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: compiz
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: David Nusinow <dnusinow@debian.org>, Sean Finney <seanius@debian.org>, Cyril Brulebois <kibi@debian.org>
 Build-Depends: cmake (>= 3.10.0),
                debhelper (>= 9~),
                dh-python,
                dh-translations,
-               googletest (>= 1.8.0),
+               libgtest-dev (>= 1.8.0),
+               libgmock-dev (>= 1.8.0),
                intltool,
                libtool,
                pkg-config (>= 0.29.1),
@@ -312,4 +313,3 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${python3:Depends},
-         gir1.2-gdkpixbuf-2.0,

## compiz 0.9.14.1%2B22.04.20220820-0ubuntu1

=== plugins/dbus/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

add_definitions (
    -DHAVE_CONFIG_H
    -DPLUGINDIR="${compiz_plugindir}"
    -DMETADATADIR="${compiz_metadatadir}"
)

compiz_plugin (dbus PKGDEPS dbus-1 libxml-2.0)



#AC_ARG_ENABLE(dbus,
#  [  --disable-dbus          Disable dbus plugin],
#  [use_dbus=$enableval], [use_dbus=yes])
#if test "x$use_dbus" = "xyes"; then
#  PKG_CHECK_MODULES(DBUS, dbus-1 libxml-2.0, [use_dbus=yes], [use_dbus=no])
#fi

#AM_CONDITIONAL(DBUS_PLUGIN, test "x$use_dbus" = "xyes")
#if test "$use_dbus" = yes; then
#  AC_DEFINE(USE_DBUS, 1, [Build dbus plugin])
#fi

#AC_ARG_ENABLE(dbus-glib,
#  [  --disable-dbus-glib     Disable dbus-glib support],
#  [use_dbus_glib=$enableval], [use_dbus_glib=yes])

#if test "x$use_dbus_glib" = "xyes"; then
#  PKG_CHECK_MODULES(DBUS_GLIB, dbus-glib-1, [use_dbus_glib=yes], [use_dbus_glib=no])
#fi

#if test "$use_dbus" = yes; then
#  AC_DEFINE(USE_DBUS_GLIB, 1, [Build dbus glib support])
#fi

=== compizconfig/integration/gnome/gsettings/tests/CMakeLists.txt ===
include_directories (${GTEST_INCLUDE_DIRS})
include_directories (${CMAKE_SOURCE_DIR}/include)
include_directories (${CMAKE_SOURCE_DIR}/tests/shared)
include_directories (${CMAKE_SOURCE_DIR}/tests/shared/glib)
include_directories (${CMAKE_CURRENT_SOURCE_DIR}/../../../../mocks/libcompizconfig)
include_directories (${CMAKE_CURRENT_SOURCE_DIR}/../../../../gsettings/tests)
include_directories (${CMAKE_CURRENT_SOURCE_DIR}/../../../../gsettings/mocks)
include_directories (${CMAKE_SOURCE_DIR}/compizconfig/tests)
link_directories (${CMAKE_INSTALL_PREFIX}/lib)
link_directories (${CMAKE_CURRENT_BINARY_DIR}/../../mocks/libcompizconfig)
link_directories (${CMAKE_CURRENT_BINARY_DIR}/../../tests/)
link_directories (${CMAKE_CURRENT_BINARY_DIR}/../src/)

set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")

add_executable (compizconfig_test_ccs_gnome_gsettings_integrated_setting
		${CMAKE_CURRENT_SOURCE_DIR}/compizconfig_test_ccs_gnome_gsettings_integrated_setting.cpp)

target_link_libraries (compizconfig_test_ccs_gnome_gsettings_integrated_setting
		       ${GTEST_BOTH_LIBRARIES}
		       ${GMOCK_LIBRARY}
		       ${GMOCK_MAIN_LIBRARY}
		       ${LIBCOMPIZCONFIG_LIBRARIES}
		       compizconfig
		       compizconfig_gsettings_settings_test_env
		       compizconfig_ccs_gsettings_wrapper_mock
                       compizconfig_gnome_integration_gsettings_integrated_setting
                       compizconfig_gsettings_backend_interface)

compiz_discover_tests (compizconfig_test_ccs_gnome_gsettings_integrated_setting COVERAGE compizconfig_gnome_integration_gsettings_integrated_setting)

=== plugins/expo/src/click_threshold/tests/CMakeLists.txt ===
if (NOT GTEST_FOUND)
  message ("Google Test not found - cannot build tests!")
  set (COMPIZ_BUILD_TESTING OFF)
endif (NOT GTEST_FOUND)

include_directories (${GTEST_INCLUDE_DIRS})

link_directories (${COMPIZ_LIBRARY_DIRS})

add_executable (compiz_test_expo_click_threshold
		${CMAKE_CURRENT_SOURCE_DIR}/test-expo-click-threshold.cpp)

target_link_libraries (compiz_test_expo_click_threshold
		       compiz_expo_click_threshold
		       ${GTEST_BOTH_LIBRARIES})

compiz_discover_tests (compiz_test_expo_click_threshold COVERAGE compiz_expo_click_threshold)

=== debian/changelog ===
compiz (1:0.9.14.1+22.04.20220820-0ubuntu1) jammy; urgency=medium

  * event: use correct window when deciding if it should appear focused.
    Patch by Alberts Muktupāvels (LP: #1986681)

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 20 Aug 2022 04:28:36 +0000

compiz (1:0.9.14.1+22.04.20211217-0ubuntu2) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Jan 2022 19:24:08 +0000

compiz (1:0.9.14.1+22.04.20211217-0ubuntu1) jammy; urgency=medium

  [ Daniel Kondor ]
  * core: EventManager::removeWatchFd() should remove the watch from the
    Glib::MainContext (LP: #1879975)

  [ Sam Spilsbury ]
  * blur: Set precision level in fragment shader in GL_ES case.
  * Enable EGL_EXT_buffer_age on USE_GLES where it is advertised.
  * blur: Use GLFramebufferObject::rebind with the returned framebuffer.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 17 Dec 2021 12:06:09 +0000

compiz (1:0.9.14.1+22.04.20211026-0ubuntu1) jammy; urgency=medium

  * Increase string buffer size to fix GCC format-truncation error.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 26 Oct 2021 15:43:43 +0000

compiz (1:0.9.14.1+21.10.20210501-0ubuntu1) impish; urgency=medium

  * Remove unused empty private structs.
  * Update FSF addresses. (LP: #1923481)
  * Build the compizconfig Python extension using distutils. Bump
    required CMake version to 3.17 to make this possible. (LP: #1926046)

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 01 May 2021 17:29:43 +0000

compiz (1:0.9.14.1+20.10.20200813-0ubuntu4) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as default.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Nov 2020 18:31:18 +0100

compiz (1:0.9.14.1+20.10.20200813-0ubuntu3) hirsute; urgency=medium

  * Build-depend on python3-dev instead of python3-all-dev.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 31 Oct 2020 11:03:40 +0100

compiz (1:0.9.14.1+20.10.20200813-0ubuntu2) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 26 Oct 2020 10:56:28 +0100

compiz (1:0.9.14.1+20.10.20200813-0ubuntu1) groovy; urgency=medium

  * Use unsigned long for getting/setting _NET_WM_USER_TIME property, to
    fix tests on s390x.
  * Add support for CMake Unity builds (aka Jumbo builds). (LP:
    #1882792)

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 13 Aug 2020 06:58:29 +0000

compiz (1:0.9.14.1+20.10.20200526-0ubuntu5) groovy; urgency=medium

  * Revert last upload

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jul 2020 15:51:18 +0200

compiz (1:0.9.14.1+20.10.20200526-0ubuntu4) groovy; urgency=medium

  * Disable tests on s390x, ungoing investigation

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 Jul 2020 18:05:08 +0200

compiz (1:0.9.14.1+20.10.20200526-0ubuntu3) groovy; urgency=medium

  * Initialize 3 arrays to zero to silence a new gcc-10 warning
  * Move window_type_frames to extern in the header file, fixing a build
    failure with gcc-10

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 Jul 2020 11:39:45 +0200

compiz (1:0.9.14.1+20.10.20200526-0ubuntu2) groovy; urgency=medium

  * Rebuild against new libprotobuf23.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 26 Jul 2020 10:13:56 +0200

compiz (1:0.9.14.1+20.10.20200526-0ubuntu1) groovy; urgency=medium

  [ Daniel Kondor ]
  * Make annotate plugin D-Bus interface working, and clean up code.
    (LP: #1878545)
  * Use dbus_bool_t instead of bool.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 26 May 2020 16:38:36 +0000

compiz (1:0.9.14.1+20.10.20200514-0ubuntu1) groovy; urgency=medium

  * No-change rebuild against libmetacity3.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 14 May 2020 09:04:56 +0000

compiz (1:0.9.14.1+20.10.20200427-0ubuntu1) groovy; urgency=medium

  [ Alberts Muktupāvels ]
  * ccsm: remove HeaderStyleSet (LP: #1863561)
  * window-decorator: remove shade, stick and above buttons

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 27 Apr 2020 10:22:52 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export COMPIZ_DEB_BUILD=1

include /usr/share/dpkg/architecture.mk

gles2_architectures := armel armhf
build_testing := OFF

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	build_testing := ON
endif

# currently, segfault if CMAKE_BUILD_TYPE=Release
export DEB_LDFLAGS_MAINT_STRIP=-Wl,-Bsymbolic-functions

# libgtkmm requires C++-11, and some plugins require libgtkmm, so we do too
# (lp: #1477978)
export DEB_CXXFLAGS_MAINT_APPEND=-std=c++11

CORE_ABIVERSION := $(shell sed -rn 's/^\#define[[:space:]]+CORE_ABIVERSION[[:space:]]+//p' include/core/abiversion.h )

override_dh_auto_configure:
	# right now, xorg-gtest won't compile on arm.
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(gles2_architectures)))
	dh_auto_configure -- -DCOMPIZ_BUILD_WITH_RPATH=FALSE -DCMAKE_BUILD_TYPE=RelWithDebInfo -DCOMPIZ_PACKAGING_ENABLED=TRUE -DCOMPIZ_DISABLE_GS_SCHEMAS_INSTALL=OFF -DCOMPIZ_BUILD_TESTING=$(build_testing) -DBUILD_GLES=ON -DBUILD_XORG_GTEST=OFF
else
	dh_auto_configure -- -DCOMPIZ_BUILD_WITH_RPATH=FALSE -DCMAKE_BUILD_TYPE=RelWithDebInfo -DCOMPIZ_PACKAGING_ENABLED=TRUE -DCOMPIZ_DISABLE_GS_SCHEMAS_INSTALL=OFF -DCOMPIZ_BUILD_TESTING=$(build_testing)
endif

override_dh_install:
	# cmake findcompiz_install use COMPIZ_DESTDIR and using COMPIZ_DESTDIR and
	# DESTDIR together is completely broken upstream
	# So, doing the same in debian/rules to find a way to install things in the
	# right place, sorry for the kittens
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(gles2_architectures)))
	cmake_dir=`cmake --system-information 2> /dev/null | grep "^CMAKE_ROOT " | sed -e 's/.*"\(.*\)"/\1/'` && \
	mkdir -p debian/tmp$${cmake_dir}/Modules && \
	mkdir -p debian/compiz-dev$${cmake_dir}/Modules && \
	cp cmake/FindCompiz.cmake debian/tmp$${cmake_dir}/Modules && cp cmake/FindOpenGLES2.cmake debian/compiz-dev$${cmake_dir}/Modules
else
	cmake_dir=`cmake --system-information 2> /dev/null | grep "^CMAKE_ROOT " | sed -e 's/.*"\(.*\)"/\1/'` && \
	mkdir -p debian/tmp$${cmake_dir}/Modules && \
	cp cmake/FindCompiz.cmake debian/tmp$${cmake_dir}/Modules
endif

	# remove .a files
	rm -f debian/tmp/usr/lib/*.a

	# remove acceptance test binary
	rm -f debian/tmp/usr/bin/compiz_autopilot_acceptance_tests

	dh_install --fail-missing

	# remove the compizconfig dev file from compiz-dev
	rm debian/compiz-dev/usr/share/compiz/cmake/LibCompizConfigCommon.cmake

override_dh_gencontrol:
	dh_gencontrol -- -Vcoreabiversion=$(CORE_ABIVERSION)

override_dh_auto_test:
	dh_auto_test --no-parallel

%:
	dh $@ --parallel --with python3,translations

## compiz 0.9.14.1%2B22.04.20220820-0ubuntu1%2B11.0trisquel1

=== src/string/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
  ${compiz_SOURCE_DIR}/include
  ${CMAKE_CURRENT_SOURCE_DIR}/include
  
  ${Boost_INCLUDE_DIRS}
)

SET( PUBLIC_HEADERS )
SET( PRIVATE_HEADERS )

SET( SRCS ${CMAKE_CURRENT_SOURCE_DIR}/src/string.cpp )

ADD_LIBRARY( 
  compiz_string STATIC
  
  ${SRCS}
  
  ${PUBLIC_HEADERS}
  ${PRIVATE_HEADERS}
)

IF (COMPIZ_BUILD_TESTING)
    ADD_SUBDIRECTORY( ${CMAKE_CURRENT_SOURCE_DIR}/tests )
ENDIF (COMPIZ_BUILD_TESTING)

SET_TARGET_PROPERTIES(
  compiz_string PROPERTIES
  PUBLIC_HEADER "${PUBLIC_HEADERS}"
)

install (FILES ${PUBLIC_HEADERS} DESTINATION ${COMPIZ_CORE_INCLUDE_DIR})

=== compizconfig/libcompizconfig/tests/CMakeLists.txt ===
include_directories (${GTEST_INCLUDE_DIRS})
include_directories (${CMAKE_SOURCE_DIR}/include)
include_directories (${CMAKE_SOURCE_DIR}/tests/shared)
include_directories (${CMAKE_CURRENT_SOURCE_DIR}/../../mocks/libcompizconfig)
include_directories (${CMAKE_CURRENT_SOURCE_DIR}/../src)
include_directories (${CMAKE_SOURCE_DIR}/compizconfig/tests)
link_directories (${CMAKE_INSTALL_PREFIX}/lib)
link_directories (${CMAKE_CURRENT_BINARY_DIR}/../../mocks/libcompizconfig)
link_directories (${CMAKE_CURRENT_BINARY_DIR}/../../tests/)
link_directories (${CMAKE_CURRENT_BINARY_DIR}/../src/)

set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")

add_definitions (-DCONFIGDIR="${COMPIZCONFIG_CONFIG_DIR}")

add_executable (compizconfig_test_ccs_object
		${CMAKE_CURRENT_SOURCE_DIR}/compizconfig_test_ccs_object.cpp)

add_executable (compizconfig_test_ccs_context
		${CMAKE_CURRENT_SOURCE_DIR}/compizconfig_test_ccs_context.cpp)

add_executable (compizconfig_test_ccs_plugin
		${CMAKE_CURRENT_SOURCE_DIR}/compizconfig_test_ccs_plugin.cpp)

add_executable (compizconfig_test_ccs_setting
		${CMAKE_CURRENT_SOURCE_DIR}/compizconfig_test_ccs_setting.cpp)

add_executable (compizconfig_test_ccs_backend
		${CMAKE_CURRENT_SOURCE_DIR}/compizconfig_test_ccs_backend.cpp)

add_executable (compizconfig_test_ccs_text_file
		${CMAKE_CURRENT_SOURCE_DIR}/compizconfig_test_ccs_text_file.cpp)

add_executable (compizconfig_test_ccs_mock_backend_conformance
		${CMAKE_CURRENT_SOURCE_DIR}/compizconfig_test_ccs_mock_backend_conformance.cpp)

add_executable (compizconfig_test_ccs_util
		${CMAKE_CURRENT_SOURCE_DIR}/compizconfig_test_ccs_util.cpp)

add_executable (compizconfig_test_ccs_upgrade_internal
    ${CMAKE_CURRENT_SOURCE_DIR}/compizconfig_test_ccs_settings_upgrade_internal.cpp)

if (HAVE_PROTOBUF)
    set (LIBCOMPIZCONFIG_LIBRARIES
	 ${LIBCOMPIZCONFIG_LIBRARIES}
	 protobuf)
endif (HAVE_PROTOBUF)

target_link_libraries (compizconfig_test_ccs_object
		       ${GTEST_BOTH_LIBRARIES}
		       ${GMOCK_LIBRARY}
		       ${GMOCK_MAIN_LIBRARY}
		       ${LIBCOMPIZCONFIG_LIBRARIES}
		       compizconfig)

target_link_libraries (compizconfig_test_ccs_context
		       ${GTEST_BOTH_LIBRARIES}
		       ${GMOCK_LIBRARY}
		       ${GMOCK_MAIN_LIBRARY}
		       ${LIBCOMPIZCONFIG_LIBRARIES}
		       compizconfig
		       compizconfig_ccs_context_mock
		       compizconfig_ccs_plugin_mock
		       compizconfig_ccs_setting_mock
		       compizconfig_ccs_config_file_mock
                       compizconfig_ccs_backend_loader_mock
                       compizconfig_ccs_backend_mock)

target_link_libraries (compizconfig_test_ccs_plugin
		       ${GTEST_BOTH_LIBRARIES}
		       ${GMOCK_LIBRARY}
		       ${GMOCK_MAIN_LIBRARY}
		       ${LIBCOMPIZCONFIG_LIBRARIES}
		       compizconfig
		       compizconfig_ccs_context_mock
		       compizconfig_ccs_plugin_mock
		       compizconfig_ccs_setting_mock)

target_link_libraries (compizconfig_test_ccs_backend
		       ${GTEST_BOTH_LIBRARIES}
		       ${GMOCK_LIBRARY}
		       ${GMOCK_MAIN_LIBRARY}
		       ${LIBCOMPIZCONFIG_LIBRARIES}
		       compizconfig
		       compizconfig_ccs_context_mock
		       compizconfig_ccs_plugin_mock
		       compizconfig_ccs_setting_mock
		       compizconfig_ccs_backend_mock)

target_link_libraries (compizconfig_test_ccs_mock_backend_conformance
		       ${GTEST_BOTH_LIBRARIES}
		       ${GMOCK_LIBRARY}
		       ${GMOCK_MAIN_LIBRARY}
		       ${LIBCOMPIZCONFIG_LIBRARIES}
		       compizconfig
		       compizconfig_ccs_context_mock
		       compizconfig_ccs_plugin_mock
		       compizconfig_ccs_setting_mock
                       compizconfig_ccs_backend_mock
                       compizconfig_ccs_backend_conformance_test
                       compizconfig_ccs_item_in_list_matcher
                       compizconfig_ccs_list_equality
                       compizconfig_ccs_list_wrapper
                       compizconfig_ccs_setting_value_operators
                       compizconfig_ccs_test_value_combinations)

target_link_libraries (compizconfig_test_ccs_setting
		       ${GTEST_BOTH_LIBRARIES}
		       ${GMOCK_LIBRARY}
		       ${GMOCK_MAIN_LIBRARY}
		       ${LIBCOMPIZCONFIG_LIBRARIES}
		       compizconfig
		       compizconfig_ccs_context_mock
		       compizconfig_ccs_plugin_mock
                       compizconfig_ccs_setting_mock
                       compizconfig_ccs_list_wrapper)

target_link_libraries (compizconfig_test_ccs_text_file
		       ${GTEST_BOTH_LIBRARIES}
		       ${GMOCK_LIBRARY}
		       ${GMOCK_MAIN_LIBRARY}
		       ${LIBCOMPIZCONFIG_LIBRARIES}
		       ccs_text_file_interface
                       compizconfig_ccs_text_file_mock
                       compizconfig)

target_link_libraries (compizconfig_test_ccs_upgrade_internal
		       ${GTEST_BOTH_LIBRARIES}
		       ${GMOCK_LIBRARY}
		       ${GMOCK_MAIN_LIBRARY}
                       ccs_settings_upgrade_internal
                       compizconfig
                       compizconfig_ccs_context_mock
                       compizconfig_ccs_plugin_mock
                       compizconfig_ccs_setting_mock
                       compizconfig_ccs_item_in_list_matcher
		       compizconfig_ccs_setting_value_matcher
)

target_link_libraries (compizconfig_test_ccs_util
		       ${GTEST_BOTH_LIBRARIES}
		       ${GMOCK_LIBRARY}
		       ${GMOCK_MAIN_LIBRARY}
                       compizconfig
)

compiz_discover_tests (compizconfig_test_ccs_object COVERAGE compizconfig)
compiz_discover_tests (compizconfig_test_ccs_context COVERAGE compizconfig_ccs_context_mock)
compiz_discover_tests (compizconfig_test_ccs_plugin COVERAGE compizconfig_ccs_plugin_mock)
compiz_discover_tests (compizconfig_test_ccs_setting COVERAGE compizconfig_ccs_setting_mock)
compiz_discover_tests (compizconfig_test_ccs_mock_backend_conformance COVERAGE compizconfig_ccs_backend_mock)
compiz_discover_tests (compizconfig_test_ccs_text_file COVERAGE ccs_text_file_interface compizconfig_ccs_text_file_mock)
compiz_discover_tests (compizconfig_test_ccs_upgrade_internal COVERAGE ccs_settings_upgrade_internal)
compiz_discover_tests (compizconfig_test_ccs_util COVERAGE compizconfig)

=== debian/changelog ===
compiz (1:0.9.14.1+22.04.20220820-0ubuntu1+11.0trisquel1) aramo; urgency=medium

  * Remove recomendation to use fglrx (non-free software)

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 06 Sep 2022 12:37:30 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: David Nusinow <dnusinow@debian.org>, Sean Finney <seanius@debian.org>, Cyril Brulebois <kibi@debian.org>
-Build-Depends: cmake (>= 3.10.0),
+Build-Depends: cmake (>= 3.17.0),
                debhelper (>= 9~),
                dh-python,
                dh-translations,
@@ -53,7 +53,7 @@
                libx11-xcb-dev,
                libprotobuf-dev,
                protobuf-compiler,
-               python3-all-dev,
+               python3-dev,
                cython3,
                gsettings-desktop-schemas-dev,
                xserver-xorg-dev (>= 0.7.0),

## compiz 0.9.14.1+20.04.20200130-0ubuntu1

=== debian/changelog ===
compiz (1:0.8.6-0ubuntu11) na
